Name: bootsplash
Version: 3.0.7
Release: alt1

Packager: Rider <rider@altlinux.ru>

Summary: Console splash animations during bootup
License: GPL
Group: System/Base
PreReq: coreutils
Requires: design-bootsplash

Source: bootsplash-3.0.7.tar.bz2
Source1: rcsplash

# Automatically added by buildreq on Wed Mar 24 2004
BuildRequires: freetype2-devel libjpeg-devel libmng-devel zlib-devel

%description
This package adds nice status animations to the boot process
(needs console splash screen enabled)

%prep
%setup -q

%build
#PREFIX=%_exec_prefix LIB=%_lib make all
pushd Utilities
%make
popd

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/splash/themes
mkdir -p $RPM_BUILD_ROOT/%_sbindir
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
# copy files
install -m 755 Utilities/fbmngplay           $RPM_BUILD_ROOT/bin
install -m 755 Utilities/splash            $RPM_BUILD_ROOT/bin
install -m 755 Utilities/fbresolution      $RPM_BUILD_ROOT/bin
install -m 755    Scripts/bootanim $RPM_BUILD_ROOT/bin
install -m 755    %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/splash
ln -sf ../../etc/init.d/splash $RPM_BUILD_ROOT%_sbindir/rcsplash
install -m 644    Scripts/sysconfig.bootsplash $RPM_BUILD_ROOT/etc/sysconfig/bootsplash
echo "THEME=\"current\"" >>$RPM_BUILD_ROOT/etc/sysconfig/bootsplash

%post
%post_service splash

%preun
%preun_service splash

%files
%doc Documentation/*
/bin/bootanim
/bin/fbmngplay
/bin/fbresolution
/bin/splash
%_datadir/splash
/etc/rc.d/init.d/splash
%_sbindir/rcsplash
%config %_sysconfdir/sysconfig/bootsplash

%changelog -n bootsplash
* Wed Mar 24 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt1
- new version

* Wed Mar 05 2003 Rider <rider@altlinux.ru> 1.2.1-alt1
- fix stop function for show splash screen on current console

* Mon Mar 03 2003 Rider <rider@altlinux.ru> 1.2-alt1
- fix initscript for correct stop and start funtions

* Mon Feb 24 2003 Rider <rider@altlinux.ru> 1.1-alt1
- splash initscript changed:
  * chkconfig support
  * stop function for show bootsplash image and change VT to 1
  * support for virtual terminal in themes. Need files in 
    /usr/share/splash/themes/$THEME/config/, named like vtsplash-<VT_NUMBER>-<RESOLUTION>.cfg
- added post and preun scripts for service splash
- removed %config tag from splash initscript


* Sun Feb 16 2003 Rider <rider@altlinux.ru> 1.0-alt2.2
- fix BuildRequires & requires

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2.1
- fix usage display in initscript (added "disable" to help screen)

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 1.0-alt2
- fix initscript

* Wed Feb 05 2003 Rider <rider@altlinux.ru> 1.0-alt1
- first build for ALT, based on SuSE package

